V3.0
APIs by Provider
>
Synergy
>
Storage
>
API Reference
>
V3.0
openapi: 3.0.1
x-jh:
publishing:
type: Integration
stage: prod
isPublic: true
group: Synergy
name: Document Archiving
docURL: https://jkhy.github.io/synergyintegration
info:
title: SynergyECM Document Filing
description: APIs for Cross-Indexing and Refiling
contact:
email: SynergyOpenAPI@jackhenry.com
version: v3
security:
- BearerAuth: []
servers:
- url: 'http:/jx-r.jhacorp.com/api'
paths:
'/v2/{InstitutionUniversalId}/{ProductId}/storage/api-versions':
get:
tags:
- ApiVersions
summary: The API Version supported by this instance.
operationId: StorageApiVersionsGet
parameters:
- name: InstitutionUniversalId
in: path
required: true
schema:
type: string
- name: ProductId
in: path
required: true
schema:
type: string
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
responses:
'200':
description: Success
content:
text/plain:
schema:
$ref: '#/components/schemas/ApiVersionsResponseBody'
application/json:
schema:
$ref: '#/components/schemas/ApiVersionsResponseBody'
text/json:
schema:
$ref: '#/components/schemas/ApiVersionsResponseBody'
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'404':
description: "Not Found<hr>\r\nThe server can not find the requested resource. In an API, this can also mean that the endpoint\r\nis valid but the resource itself does not exist. Servers may also send this response instead of\r\n403 to hide the existence of a resource from an unauthorized client.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'/v2/{InstitutionUniversalId}/{ProductId}/storage/v3/archive-transactions':
post:
tags:
- ArchiveTransactions
summary: Begins an archive transaction for the purpose of importing a new document into Synergy.
description: "### Begin Archive Transaction\r\nBegins an archive transaction for the purpose of importing a new document into Synergy.<br/><br/>All metadata for the document is supplied at this stage.\r\nFile data is provided in subsequent operations, in one of two modes: *ad hoc* or *pre-registered*.\r\n- Ad hoc<br/>\r\n If no file information is provided in this call, then one or more files can be uploaded to the \".../files\"\r\n collection before the archive transaction is committed.\r\n- Pre-registered<br/>\r\n An array of file names with their respective sizes can be provided on this initial call. If so,\r\n an array of *file Ids* will be returned, and files may then be uploaded (in chunks if necessary)\r\n to the.../files/{fileId} route. File data for *all* file Ids must be uploaded prior to committing the archive transaction.\r\n\r\nNote that the two methods of uploading files are not interchangeable. It is an error to call the ad hoc route when\r\nfiles were pre-registered in the initial call.<br/><br/>\r\nFinally, after the file(s) data is uploaded, the archive transaction must be committed before it will be filed into Synergy.\r\nUpon a successful commit, a unique item Id is returned, and the document is available for immediate retrieval in Synergy."
operationId: ArchiveTransactionsBeginDocument
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
requestBody:
content:
application/json:
schema:
$ref: '#/components/schemas/ArchiveDocumentInfo'
responses:
'201':
description: 'Created: Returns a transaction ID used for subsequent calls to the archive API.'
content:
application/json:
schema:
$ref: '#/components/schemas/ArchiveTransactionBeginResult'
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: "Not Found<hr>\r\nThe server can not find the requested resource. In an API, this can also mean that the endpoint\r\nis valid but the resource itself does not exist. Servers may also send this response instead of\r\n403 to hide the existence of a resource from an unauthorized client.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'/v2/{InstitutionUniversalId}/{ProductId}/storage/v3/archive-transactions/{documentTransactionId}/files':
put:
tags:
- ArchiveTransactions
summary: Adds a new file to a previously created archive transaction (Ad hoc).
description: "### Add Archive File (Ad hoc)\r\nAdds a new file to a previously created archive transaction.\r\n\r\nThis route is intended for simple uploading of small files in a single operation.\r\nUse it when adding files to a document where file info was not\r\npre-registered in the `Files` property of the document's metadata.\r\n\r\nIf a file Id was acquired when beginning the archive transaction, *do not* use this route to upload it.\r\nInstead, use the \".../files/{fileId}\" route.\r\n\r\nOne of the following parameters is required when calling this route to determine a file's type:\r\n - The `filename` query parameter, from which the file extension will be used.\r\n - The `Content-Type` header, which will be coerced into a file extension.\r\n\r\nThe above is used to determine if the file type (by extension) has been configured in Synergy's\r\nupload allow list. If both are provided, the filename extension takes precedence. If neither is \r\nprovided, or the extension is not in the allow list, an error will result. "
operationId: ArchiveTransactionsAddFile
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: documentTransactionId
in: path
description: The transaction Id acquired when beginning the archive transaction.
required: true
schema:
type: string
format: uuid
- name: fileNumber
in: query
description: "Used as a sorting key when multiple files are added. \r\nDefaults to 0, in which case files are added in the order received."
schema:
type: integer
format: int32
default: 0
- name: isAttachment
in: query
description: "If true, this indicates the file should be treated as an attachment, and not part of the page data.\r\nThere are limited use-cases for this feature, and it should be used only when required."
schema:
type: boolean
default: false
- name: attachmentAudience
in: query
description: "This specifies the use-case for the attachment. \r\nThis must be provided for an attachment and must match a predefined value."
schema:
type: string
- name: filename
in: query
description: "Optional filename with extension. \r\nIf provided, this will be used to determine the file type."
schema:
type: string
- name: Digest
in: header
description: "The optional expected sha-256 `Digest` header. \r\nIf this header is populated, it will be used for server-side validation, and will result in an error if it does not match the received file data.\r\nOn success, the computed sha-256 digest is always returned in the Digest response header for client-side validation.\r\n\r\nExample: `sha-256=w/dKgvrrVRYW940bJibUmhAGb9MTS/74vs8vHabD+V0=`"
schema:
type: string
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
requestBody:
content:
application/octet-stream:
schema:
type: string
description: File to upload.
format: binary
image/tiff:
schema:
type: string
description: File to upload.
format: binary
image/jpeg:
schema:
type: string
description: File to upload.
format: binary
image/png:
schema:
type: string
description: File to upload.
format: binary
application/pdf:
schema:
type: string
description: File to upload.
format: binary
responses:
'200':
description: Success
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The archive transaction Id is invalid or the transaction was previously committed, rolled back, or expired.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'/v2/{InstitutionUniversalId}/{ProductId}/storage/v3/archive-transactions/{documentTransactionId}/files/{FileId}':
put:
tags:
- ArchiveTransactions
summary: Adds data to a file previously declared when creating an archive transaction.
description: "### Add Archive File (Pre-registered)\r\nAdds data to a file that was previously declared when creating an archive transaction.\r\nThe file Id in the route is obtained from the `FileResponse` array that is returned\r\nwhen creating the archive transaction with pre-registered file info (the `Files` array property).<br/><br/>It is possible to upload partial data, such that a single file can be divided and\r\nuploaded over multiple calls. However, the back-end implementation requires that data\r\nbe uploaded synchronously in consecutive chunks. i.e., you cannot upload two halves of a\r\ngiven file in two concurrent calls. Data arriving out of order will result in an error.<br/><br/><br/>If the `Content-Range` header is present, it must be expressed in bytes. \r\n> Example: `Content-Range: bytes 0-10000/50000`<br/>"
operationId: ArchiveTransactionsAddRegisteredFile
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: documentTransactionId
in: path
description: The transaction Id acquired when beginning the archive transaction.
required: true
schema:
type: string
- name: FileId
in: path
description: The file Id obtained from the `FileResponse` array when creating the archive transaction.
required: true
schema:
type: string
- name: Digest
in: header
description: "The optional expected sha-256 `Digest` header. \r\nIf this header is populated, it will be used for server-side validation, and will result in an error if it does not match the received file data.\r\nOn success, the computed sha-256 digest is always returned in the Digest response header for client-side validation.\r\n\r\nExample: `sha-256=w/dKgvrrVRYW940bJibUmhAGb9MTS/74vs8vHabD+V0=`"
schema:
type: string
- name: Content-Range
in: header
description: "Optional `Content-Range` header for uploading part of a file. \r\nExample, put the first MB: `bytes 0-999999/*`"
schema:
type: string
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
requestBody:
content:
application/octet-stream:
schema:
type: string
description: File to upload.
format: binary
image/tiff:
schema:
type: string
description: File to upload.
format: binary
image/jpeg:
schema:
type: string
description: File to upload.
format: binary
image/png:
schema:
type: string
description: File to upload.
format: binary
application/pdf:
schema:
type: string
description: File to upload.
format: binary
responses:
'200':
description: Success
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The archive transaction Id is invalid or the transaction was previously committed, rolled back, or expired.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'/v2/{InstitutionUniversalId}/{ProductId}/storage/v3/archive-transactions/{documentTransactionId}/state':
post:
tags:
- ArchiveTransactions
summary: ' Transitions an archive transaction to either the `Commit` or `Rollback` state.'
description: "### Commit or Rollback Archive Transaction\r\n\r\nIf successfully committed, a unique item Id is returned for a new document that has\r\njust been filed into Synergy, and is available for retrieval.\r\n\r\nIf the transaction is rolled back, the archive transaction, along with any files that have\r\nbeen uploaded for it, are deleted.\r\n\r\nIn either case, the archive transaction is removed and the archive transaction Id\r\nbecomes invalid."
operationId: ArchiveTransactionsStateTransition
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: documentTransactionId
in: path
description: The transaction Id acquired when beginning the archive transaction.
required: true
schema:
type: string
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
requestBody:
content:
application/json:
schema:
$ref: '#/components/schemas/ArchiveTransactonStateTransition'
responses:
'201':
description: 'Created: Returned when successfully committed. A new Synergy document has been created using the transaction data and the response contains the unique item ID for the new Synergy document.'
content:
application/json:
schema:
$ref: '#/components/schemas/ArchiveTransactionCommitResult'
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The archive transaction Id is invalid or the transaction was previously committed, rolled back, or expired.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'200':
description: 'Success: Returned on a successful roll back of the archive transaction.'
'/v2/{InstitutionUniversalId}/{ProductId}/storage/v3/batch-transactions':
post:
tags:
- BatchTransactions
summary: Begins a batch transaction for the purpose of submitting one or more documents into Synergy for subsequent processing.
description: "### Begin Batch Transaction\r\nBegins a batch transaction for the purpose of submitting one or more documents into Synergy\r\nfor subsequent processing by Synergy Capture.\r\n\r\nOne or more document definitions must be added in subsequent calls, along with subsequent\r\ncalls to upload file data for each document.\r\n\r\nFinally, after the file(s) data is uploaded, the batch transaction must be committed before\r\nit will be used to create a new Synergy batch.\r\nUpon a successful commit, a batch GUID is returned, and the batch is available for subsequent\r\nprocessing in Synergy Capture. "
operationId: BatchTransactionsBeginBatch
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
requestBody:
content:
application/json:
schema:
$ref: '#/components/schemas/BeginBatchTransactionInfo'
responses:
'201':
description: 'Created: Returns a batch transaction Id used for subsequent calls to the batch transactions API.'
content:
application/json:
schema:
$ref: '#/components/schemas/BeginBatchTransactionResult'
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: "Not Found<hr>\r\nThe server can not find the requested resource. In an API, this can also mean that the endpoint\r\nis valid but the resource itself does not exist. Servers may also send this response instead of\r\n403 to hide the existence of a resource from an unauthorized client.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'/v2/{InstitutionUniversalId}/{ProductId}/storage/v3/batch-transactions/{batchTransactionId}/documents':
post:
tags:
- BatchTransactions
summary: Begins a document definition within a batch transaction.
description: "### Begin Document Definition\r\nBegins a document definition within a batch transaction.<br/><br/>All metadata for the document is supplied at this stage.\r\nFile data is provided in subsequent operations, in one of two modes: *ad hoc* or *pre-registered*.\r\n- Ad hoc<br/>\r\n If no file information is provided in this call, then one or more files can be uploaded to the \".../files\"\r\n collection before the archive transaction is committed.\r\n- Pre-registered<br/>\r\n An array of file names with their respective sizes can be provided on this initial call. If so,\r\n an array of *file Ids* will be returned, and files may then be uploaded (in chunks if necessary)\r\n to the.../files/{fileId} route. File data for *all* file Ids must be uploaded prior to committing the archive transaction.\r\n\r\nNote that the two methods of uploading files are not interchangeable. It is an error to call the ad hoc route when\r\nfiles were pre-registered in the initial call.<br/>"
operationId: BatchTransactionsBeginDocument
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: batchTransactionId
in: path
description: The batch transaction Id returned from the Begin Batch Transaction operation.
required: true
schema:
type: string
format: uuid
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
requestBody:
content:
application/json:
schema:
$ref: '#/components/schemas/BatchDocumentInfo'
responses:
'200':
description: 'Success: Returns a pending document transaction Id used in subsequent calls to the batch API.'
content:
application/json:
schema:
$ref: '#/components/schemas/ArchiveTransactionBeginResult'
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The batch transaction Id is invalid or the transaction was previously committed, rolled back, or expired.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'/v2/{InstitutionUniversalId}/{ProductId}/storage/v3/batch-transactions/{batchTransactionId}/documents/{documentTransactionId}/cross-index-documents':
post:
tags:
- BatchTransactions
summary: Begins a cross-index document definition within a batch transaction.
description: "### Add Batch Cross Index Document\r\n\r\nThis will add a document definition to the batch that references another document in the batch,\r\nbut with different indexing and classification.\r\nNo file data should be uploaded for this document, as cross-indexed documents share the file\r\ndata of their referenced document."
operationId: BatchTransactionsBeginCrossIndexDocument
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: batchTransactionId
in: path
description: The batch transaction Id returned from the Begin Batch Transaction operation.
required: true
schema:
type: string
format: uuid
- name: documentTransactionId
in: path
description: The primary document transaction Id acquired when beginning another document in this batch.
required: true
schema:
type: string
format: uuid
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
requestBody:
content:
application/json:
schema:
$ref: '#/components/schemas/ArchiveDocumentInfo'
required: true
responses:
'200':
description: Success
content:
application/json:
schema:
$ref: '#/components/schemas/ArchiveTransactionBeginResult'
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The batch transaction Id is invalid or the transaction was previously committed, rolled back, or expired.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'/v2/{InstitutionUniversalId}/{ProductId}/storage/v3/batch-transactions/{batchTransactionId}/documents/{documentTransactionId}/files':
put:
tags:
- BatchTransactions
summary: Adds a new file to a previously created batch document (Ad hoc).
description: "### Add Batch Document File (Ad hoc)\r\nAdds a new file to a previously created document in the given batch transaction.\r\n\r\nThis route is intended for simple uploading of small files in a single operation.\r\nUse it when adding files to a document where file info was not\r\npre-registered in the `Files` property of the document's metadata.\r\n\r\nIf a file Id was acquired when beginning the document, *do not* use this route to upload it.\r\nInstead, use the \".../files/{fileId}\" route.\r\n\r\nOne of the following parameters is required when calling this route to determine a file's type:\r\n- The `filename` query parameter, from which the file extension will be used.\r\n- The `Content-Type` header, which will be translated into a file extension.\r\n\r\n> The above is used to determine if the file type (by extension) has been configured in Synergy's\r\n> upload allow list. If both are provided, the filename extension takes precedence. If neither is \r\n> provided, or the extension is not in the allow list, an error will result."
operationId: BatchTransactionsAddFile
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: batchTransactionId
in: path
description: The batch transaction Id returned from the Begin Batch Transaction operation.
required: true
schema:
type: string
format: uuid
- name: documentTransactionId
in: path
description: The document transaction Id acquired when beginning the document.
required: true
schema:
type: string
format: uuid
- name: fileNumber
in: query
description: 'Used as a sorting key when multiple files are added. Defaults to 0, in which case files are added in the order received.'
schema:
type: integer
format: int32
default: 0
- name: filename
in: query
description: 'Optional filename with extension. If provided, this will be used to determine the file type.'
schema:
type: string
- name: Digest
in: header
description: "The optional expected sha-256 `Digest` header. \r\nIf this header is populated, it will be used for server-side validation, and will result in an error if it does not match the received file data.\r\nOn success, the computed sha-256 digest is always returned in the Digest response header for client-side validation.\r\n\r\nExample: `sha-256=w/dKgvrrVRYW940bJibUmhAGb9MTS/74vs8vHabD+V0=`"
schema:
type: string
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
requestBody:
content:
application/octet-stream:
schema:
type: string
description: File to upload.
format: binary
image/tiff:
schema:
type: string
description: File to upload.
format: binary
image/jpeg:
schema:
type: string
description: File to upload.
format: binary
image/png:
schema:
type: string
description: File to upload.
format: binary
application/pdf:
schema:
type: string
description: File to upload.
format: binary
responses:
'200':
description: Success
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The batch transaction Id is invalid or the transaction was previously committed, rolled back, or expired.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'/v2/{InstitutionUniversalId}/{ProductId}/storage/v3/batch-transactions/{batchTransactionId}/documents/{documentTransactionId}/files/{fileId}':
put:
tags:
- BatchTransactions
summary: Adds data to a file previously declared when adding a document to the batch transaction.
description: "### Add Batch Document File (Pre-registered)\r\nAdds data to a file that was previously declared when creating a new document for the given batch transaction.\r\nThe file Id in the route is obtained from the `FileResponse` array that is returned\r\nwhen creating the archive transaction with pre-registered file info (the `Files` array property).\r\n\r\nIt is possible to upload partial data, such that a single file can be divided and\r\nuploaded over multiple calls. However, the back-end implementation requires that data\r\nbe uploaded synchronously in consecutive chunks. i.e., you cannot upload two halves of a\r\ngiven file in two concurrent calls.Data arriving out of order will result in an error.<br/><br/>It is possible to upload partial data, such that a single file can be divided and\r\nuploaded over multiple calls. However, the back-end implementation requires that data\r\nbe uploaded synchronously in consecutive chunks. i.e., you cannot upload two halves of a\r\ngiven file in two concurrent calls. Data arriving out of order will result in an error.<br/><br/><br/>If the `Content-Range` header is present, it must be expressed in bytes. \r\n> Example: `Content-Range: bytes 0-10000/50000`<br/>"
operationId: BatchTransactionsAddRegisteredFile
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: batchTransactionId
in: path
description: The batch transaction Id returned from the Begin Batch Transaction operation.
required: true
schema:
type: string
format: uuid
- name: documentTransactionId
in: path
description: The document transaction Id acquired when beginning the document.
required: true
schema:
type: string
format: uuid
- name: fileId
in: path
description: The file Id obtained from the `FileResponse` array when beginning the document.
required: true
schema:
type: string
format: uuid
- name: Digest
in: header
description: "The optional expected sha-256 `Digest` header. \r\nIf this header is populated, it will be used for server-side validation, and will result in an error if it does not match the received file data.\r\nOn success, the computed sha-256 digest is always returned in the Digest response header for client-side validation.\r\n\r\nExample: `sha-256=w/dKgvrrVRYW940bJibUmhAGb9MTS/74vs8vHabD+V0=`"
schema:
type: string
- name: Content-Range
in: header
description: "Optional `Content-Range` header for uploading part of a file. \r\nExample, put the first MB: `bytes 0-999999/*`"
schema:
type: string
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
requestBody:
content:
application/octet-stream:
schema:
type: string
description: File to upload.
format: binary
image/tiff:
schema:
type: string
description: File to upload.
format: binary
image/jpeg:
schema:
type: string
description: File to upload.
format: binary
image/png:
schema:
type: string
description: File to upload.
format: binary
application/pdf:
schema:
type: string
description: File to upload.
format: binary
responses:
'200':
description: Success
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The batch transaction Id is invalid or the transaction was previously committed, rolled back, or expired.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'/v2/{InstitutionUniversalId}/{ProductId}/storage/v3/batch-transactions/{batchTransactionId}/state':
post:
tags:
- BatchTransactions
summary: Transitions a batch transaction to either the `Commit` or `Rollback` state.
description: "### Commit or Rollback Batch Transaction\r\n\r\nIf successfully committed, a new batch GUID is returned for a new batch that has\r\njust been added to Synergy, and is available for subsequent processing in Synergy Capture.\r\n\r\nIf the transaction is rolled back, the batch transaction, along with any files that have\r\nbeen uploaded for it, are deleted.\r\n\r\nIn either case, the batch transaction is removed and the batch transaction Id\r\nbecomes invalid. "
operationId: BatchTransactionsStateTransition
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: batchTransactionId
in: path
description: The batch transaction Id returned from the Begin Batch Transaction operation.
required: true
schema:
type: string
format: uuid
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
requestBody:
content:
application/json:
schema:
$ref: '#/components/schemas/ArchiveTransactonStateTransition'
required: true
responses:
'200':
description: ' Only returned when rolling back the transaction.'
'201':
description: 'Created: This indicates that a new batch has been submitted using the transaction data.'
content:
application/json:
schema:
$ref: '#/components/schemas/CommitBatchTransactionResult'
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The batch transaction Id is invalid or the transaction was previously committed, rolled back, or expired.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'/v2/{InstitutionUniversalId}/{ProductId}/storage/v3/documents/{uniqueItemId}':
get:
tags:
- Documents
summary: Retrieves the metadata and index mappings for a given Synergy document.
operationId: DocumentsGetInfo
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: uniqueItemId
in: path
description: A Synergy unique item Id assigned to an existing document.
required: true
schema:
type: string
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
[...]
